rijndael.h File Reference

Classes for Rijndael encryption algorithm. More...

Go to the source code of this file.

## Classes

struct | Rijndael_Info
| Rijndael block cipher information. More...
class | Rijndael
| Rijndael block cipher. More...

## Macros

#define | CRYPTOPP_DISABLE_RIJNDAEL_ASM 1
#define | CRYPTOPP_RIJNDAEL_ADVANCED_PROCESS_BLOCKS 1

## Typedefs

typedef Rijndael::Encryption | RijndaelEncryption
typedef Rijndael::Decryption | RijndaelDecryption

## Detailed Description

Classes for Rijndael encryption algorithm.

All key sizes are supported. The library only provides Rijndael with 128-bit blocks, and not 192-bit or 256-bit blocks

Since
  Rijndael since Crypto++ 3.1, Intel AES-NI since Crypto++ 5.6.1, ARMv8 AES since Crypto++ 6.0, Power8 AES since Crypto++ 6.0, ARMv7 AES since Crypto++ 8.0

Definition in file rijndael.h.